- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# schroot::options Class Reference

schroot command-line options. More...

`#include <schroot-options.h>`

Inheritance diagram for schroot::options:

[legend]
Collaboration diagram for schroot::options:

[legend]
List of all members.

## Public Member Functions
| options ()
| The constructor.
virtual | ~options ()
| The destructor.
## Protected Member Functions
virtual void | add_options ()
| Add options to option groups.
virtual void | check_options ()
| Check options after parsing.

## Detailed Description

schroot command-line options.

## Constructor & Destructor Documentation

options::options | ( |  | ) |

The constructor.

Reimplemented from schroot_base::options.

options::~options | ( |  | ) | `[virtual]`

The destructor.

Reimplemented from schroot_base::options.

## Member Function Documentation

void options::add_options | ( |  | ) | `[protected, virtual]`

Add options to option groups.

Reimplemented from schroot::options_base.

void options::check_options | ( |  | ) | `[protected, virtual]`

Check options after parsing.

Reimplemented from schroot::options_base.

The documentation for this class was generated from the following files:

- schroot/schroot-options.h
- schroot/schroot-options.cc